package com.ssm.manage.service;

import com.ssm.core.service.BaseService;
import com.ssm.manage.entity.AccountTradeRecord;
import com.ssm.manage.entity.PromotionUnit;
import com.ssm.manage.query.PromotionUnitRequest;

import java.math.BigInteger;
import java.rmi.ServerException;
import java.util.List;

/**
 * (PromotionUnit)表服务接口
 *
 * @author makejava
 * @since 2021-12-24 09:56:42
 */
public interface SsmPromotionUnitService extends BaseService<PromotionUnit> {

    int add(PromotionUnitRequest promotionUnitRequest) throws ServerException;

    int update(PromotionUnitRequest promotionUnitRequest) throws ServerException;
    int empty(PromotionUnitRequest promotionUnitRequest);

    int insertupdat(PromotionUnitRequest promotionUnitRequest);

    List<Long> selectallId(PromotionUnit promotionUnit);

}
